<template>
  <el-button
    :plain="plain"
    :icon="icon"
    :size="size"
    :type="type"
    @click="click"
    :disabled="disabled"
    ><slot></slot
  ></el-button>
</template>

<script>
export default {
  props: {
    plain: Boolean,
    icon: String,
    size: String,
    type: String,
    disabled: Boolean,
    action: String,
    data: {
      type: Object,
      default() {
        return {};
      },
    },
  },
  methods: {
    click() {
      this.$emit("click", { row: this.row, action: this.action });
    },
  },
};
</script>

<style>
</style>